<script setup>
import { ref, reactive, computed, onMounted } from "vue";
import { useStore } from "vuex";
import MainSection from "@/components/MainSection.vue";
import CardComponent from "@/components/CardComponent.vue";
import TitleHeading from "@/components/TitleHeading.vue";
import Divider from "@/components/Divider.vue";
import Field from "@/components/Field.vue";
import Control from "@/components/Control.vue";
import FilePicker from "@/components/FilePicker.vue";
import JbButton from "@/components/JbButton.vue";
import BottomOtherPagesSection from "@/components/BottomOtherPagesSection.vue";
import JbButtons from "@/components/JbButtons.vue";
import UserCard from "@/components/UserCard.vue";
import AddButton from "@/components/AddButton.vue";
import ProfileCard from "@/components/ProfileCard.vue";
import UserAvatar from "@/components/UserAvatar.vue";
import Account from "@/api/account";
const store = useStore();
const titleStack = ref(["Dashboard", "Profile"]);
var profileList = reactive({value:[]});
const keyValue = reactive({value:[]});
onMounted(()=>{
  // Get Profile Details
  Account.get().then((data)=>{
    profileList.value =data?.data;
    console.log("profileList",profileList.value);
    console.log("profileitems",profileitems);
  });
})
// Profile List Store
const profileitems = computed(() => {
  return profileList.value;
});

</script>

<template>
  <section class="bg-gray-40 md:px-10 px-4 py-10 h-screen">
    <span class="flex justify-between w-full py-2">
       <title-heading
        :title-stack="titleStack"
        :to="{
          name: 'dashboard',
        }"
      />
      <jb-button
        class="text-white bg-pink-250 hover:bg-pink-250 font-normal rounded-md px-4 md:py-2 py-0 text-sm border-0"
        label="Edit Profile"
        :to="{
          name: 'edit-profile',
          params: { instituteId: instituteid, staffId: staffid },
        }"
        :small="buttonsSmall"
        :outline="buttonsOutline"
        :disabled="buttonsDisabled"
      />
    </span>
    <form class="mt-6 ">
      <profile-card>
        <level class="flex">
          <!-- <user-avatar class="justify-left w-20 h-20 items-left" /> -->
          <img
          v-if="profileitems?.profileImage"
            :src="profileitems?.profileImage"
            class="justify-left md:w-20 w-16 md:h-20 h-16  items-left border-2 border-pink-250 rounded-full"
          />
          <img v-else
            src="@/assets/icons/user-pic.svg"
            class="justify-left md:w-20 w-16 md:h-20 h-16  items-left border-2 border-pink-250 rounded-full"
          />
        </level>
      </profile-card>
      <main-section class="bg-white ">
        <h5 class="font-semibold text-black-250 text-base -mt-2 md:px-0 px-4">
          General Info
        </h5>
        <div v-if="profileitems" class="grid grid-cols-1 lg:grid-cols-3 gap-2 mt-6 ">
           <div class="flex-wrap py-2 md:px-0 px-4 text-gray-350">
            <p for="">Full Name</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ profileitems?.firstName }} {{profileitems?.lastName}}
            </p>
          </div>
           <div class="flex-wrap py-2 md:px-0 px-4 text-gray-350">
            <p for="">Email ID</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ profileitems?.email }}
            </p>
          </div>
           <div class="flex-wrap py-2 md:px-0 px-4 text-gray-350">
            <p for="">Mobile</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ profileitems?.mobile }}
            </p>
          </div>
        </div>
      </main-section>
    </form>
  </section>
</template>
